#
# spec file for package python-plyvel
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-plyvel
Version:        0.9
Release:        5.2
Summary:        Fast and feature-rich Python interface to LevelDB
License:        BSD-3-Clause
Group:          Productivity/Networking/Other
Url:            https://github.com/wbolster/plyvel
Source:         https://pypi.python.org/packages/source/p/plyvel/plyvel-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  leveldb-devel
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Plyvel is a fast and feature-rich Python interface to LevelDB.

Plyvel has a rich feature set, high performance, and a friendly Pythonic API.

%prep
%setup -q -n plyvel-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}
%fdupes %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitearch}/*
%doc doc/*.rst

%changelog
* Tue Oct 28 2014 mpluskal@suse.com
- Initial package
